$(function(){


    var header = $('.mainHeader');
    var navHeight = $('.mainNav ul').outerHeight();
    var headerHeight = header.offset().top + header.outerHeight();
    var nav = $('.mainNav');
    
    $('a[href^="#link"]').on('click', function(){
        
        var position = $($(this).attr('href')).offset().top;
        
        $('html, body').animate({scrollTop:position}, 800, 'swing');

        nav.removeClass('view');

        return false;
    });

    $('#navTrigger').on('click', function(){
        nav.toggleClass('view');
    })
    nav.on('click', function(){
        nav.removeClass('view');
    })


    $(window).on('scroll', function(){

        var scroll = $(window).scrollTop();
        
        if (window.matchMedia('(max-width:999px)').matches) {
            if(scroll >= headerHeight) {
                $('body').addClass('stop'),
                nav.addClass('hidden'),
                header.css('padding-top', navHeight)
            } else {
                $('body').removeClass('stop'),
                nav.removeClass('hidden view'),
                header.css('padding-top', '')
            }
        }

        $('[id^="link_"]').each(function(){
            var id = $(this).attr('id');
            var target = $('.mainNav li a[href="#' + id + '"]');

            var adjust = $(window).height() * 0.2;

            var offset = $(this).offset().top;
            var boxTop = offset - adjust;
            var boxBottom = offset + $(this).outerHeight() - adjust;

            if (boxTop <= scroll && scroll <= boxBottom) {
                $(target).addClass('active');
            } else {
                $(target).removeClass('active');
            }
        })
    })
});